package com.realnet.basic.Services;
import java.util.*;
import com.realnet.basic.Repository.CategoriesRepository;
import com.realnet.basic.Entity.Categories;

import com.realnet.basic.Entity.Categories_ListFilter1;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
	import org.springframework.stereotype.Service;

@Service
 public class Categories_ListFilter1Service {
@Autowired
private CategoriesRepository Repository;




 public   List<Categories_ListFilter1>   getlistbuilder() {
	List<Categories> list= Repository.findAll();
		ArrayList<Categories_ListFilter1> l = new ArrayList<>();
		for (Categories data : list) {
{	
Categories_ListFilter1 dummy = new Categories_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}



 public   List<Categories_ListFilter1>   getlistbuilderparam( ) {
	List<Categories> list= Repository.findAll();
		ArrayList<Categories_ListFilter1> l = new ArrayList<>();
		for (Categories data : list) {
{	
Categories_ListFilter1 dummy = new Categories_ListFilter1();
			dummy.setId(data.getId());
  dummy.setName(data.getName());
	l.add(dummy);
} 
} 		
return l;}
}